package view;

import javafx.scene.shape.MeshView;
import model.Position;

public class PieceView {
	private MeshView obj;
	private Position position;
	private int color;

	public PieceView(MeshView obj, Position position, int color) {
		this.obj = obj;
		this.position = position;
		this.color = color;
	}

	public MeshView getObj() {
		return obj;
	}

	public void setObj(MeshView obj) {
		this.obj = obj;
	}

	public Position getPosition() {
		return position;
	}

	public void setPosition(Position arrival) {
		position = new Position(arrival.getX(), arrival.getY()); // creates a new copy, to avoid using reference
	}

	public int getColor() {
		return color;
	}

	public void setColor(int color) {
		this.color = color;
	}
}
